org.acplt.oncrpc

## Class XdrInt

- java.lang.Object
- - org.acplt.oncrpc.XdrInt

All Implemented Interfaces:
  XdrAble

    public class XdrInt
    extends java.lang.Object
    implements XdrAble

Instances of the class `XdrInt` represent (de-)serializeable integers, which are especially useful in cases where a result with only a single int is expected from a remote function call or only a single int parameter needs to be supplied.

Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`private int` `value` The encapsulated int value itself.

### Constructor Summary

Constructors
Constructor and Description
`XdrInt()` Constructs and initializes a new `XdrInt` object.
`XdrInt(int value)` Constructs and initializes a new `XdrInt` object.

### Method Summary

Methods
`int` `intValue()` Returns the value of this `XdrInt` object as a int primitive.
`void` `xdrDecode(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- a XDR int from a XDR stream in compliance to RFC 1832.
`void` `xdrEncode(XdrEncodingStream xdr)` Encodes -- that is: serializes -- a XDR int into a XDR stream in compliance to RFC 1832.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    private int value

The encapsulated int value itself.

### Constructor Detail

#### XdrInt

    public XdrInt(int value)

Constructs and initializes a new `XdrInt` object.

Parameters:
  `value` - Int value.

#### XdrInt

    public XdrInt()

Constructs and initializes a new `XdrInt` object.

### Method Detail

#### intValue

    public int intValue()

Returns the value of this `XdrInt` object as a int primitive.

Returns:
  The primitive `int` value of this object.

#### xdrEncode

    public void xdrEncode(XdrEncodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Encodes -- that is: serializes -- a XDR int into a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrEncode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream to which information is sent for encoding.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrDecode

    public void xdrDecode(XdrDecodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Decodes -- that is: deserializes -- a XDR int from a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrDecode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream from which decoded information is retrieved.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.